IteratorOptions
Date: 2012-05-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.adobe.xmp.options
Class IteratorOptions

    java.lang.Object
      com.adobe.xmp.options.Options
          com.adobe.xmp.options.IteratorOptions

    public final class IteratorOptions

extends Options

Options for `XMPIterator` construction.

Since:
  24.01.2006

Field Summary
`static int` | `JUST_CHILDREN` Just do the immediate children of the root, default is subtree.
`static int` | `JUST_LEAFNAME` Return just the leaf part of the path, default is the full path.
`static int` | `JUST_LEAFNODES` Just do the leaf nodes, default is all nodes in the subtree.
`static int` | `OMIT_QUALIFIERS` Omit all qualifiers.

Constructor Summary
`IteratorOptions()`

Method Summary
`boolean` | `isJustChildren()`
`boolean` | `isJustLeafname()`
`boolean` | `isJustLeafnodes()`
`boolean` | `isOmitQualifiers()`
`IteratorOptions` | `setJustChildren(boolean value)` Sets the option and returns the instance.
`IteratorOptions` | `setJustLeafname(boolean value)` Sets the option and returns the instance.
`IteratorOptions` | `setJustLeafnodes(boolean value)` Sets the option and returns the instance.
`IteratorOptions` | `setOmitQualifiers(boolean value)` Sets the option and returns the instance.

Methods inherited from class com.adobe.xmp.options.Options
`clear, containsAllOptions, containsOneOf, equals, getOptions, getOptionsString, hashCode, isExactly, setOption, setOptions, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JUST_CHILDREN

    public static final int JUST_CHILDREN

  Just do the immediate children of the root, default is subtree.

  See Also:
    Constant Field Values

### JUST_LEAFNODES

    public static final int JUST_LEAFNODES

  Just do the leaf nodes, default is all nodes in the subtree. Bugfix #2658965: If this option is set the Iterator returns the namespace of the leaf instead of the namespace of the base property.

  See Also:
    Constant Field Values

### JUST_LEAFNAME

    public static final int JUST_LEAFNAME

  Return just the leaf part of the path, default is the full path.

  See Also:
    Constant Field Values

### OMIT_QUALIFIERS

    public static final int OMIT_QUALIFIERS

  Omit all qualifiers.

  See Also:
    Constant Field Values

Constructor Detail

### IteratorOptions

    public IteratorOptions()

Method Detail

### isJustChildren

    public boolean isJustChildren()

  Returns:
    Returns whether the option is set.

### isJustLeafname

    public boolean isJustLeafname()

  Returns:
    Returns whether the option is set.

### isJustLeafnodes

    public boolean isJustLeafnodes()

  Returns:
    Returns whether the option is set.

### isOmitQualifiers

    public boolean isOmitQualifiers()

  Returns:
    Returns whether the option is set.

### setJustChildren

    public IteratorOptions setJustChildren(boolean value)

  Sets the option and returns the instance.

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### setJustLeafname

    public IteratorOptions setJustLeafname(boolean value)

  Sets the option and returns the instance.

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### setJustLeafnodes

    public IteratorOptions setJustLeafnodes(boolean value)

  Sets the option and returns the instance.

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

### setOmitQualifiers

    public IteratorOptions setOmitQualifiers(boolean value)

  Sets the option and returns the instance.

  Parameters:
    `value` - the value to set
  Returns:
    Returns the instance to call more set-methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2007 Adobe Systems Inc. All Rights Reserved.